Bug 7688 - rpcclient segfaults when using TAB-completion
rpcclient segfaults when using TAB-completion
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: DCE-RPCs and pipes
3.5.5
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
http://bugs.debian.org/597203
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-17 12:59 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2010-09-27 14:20 UTC (History)
0 users

See Also:


Attachments
Patch for 3.5 (1.04 KB, patch)
2010-09-18 09:52 UTC, Volker Lendecke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2010-09-17 12:59:44 UTC
Our user reported (and I confirmed):

while within the rpcclient shell pushing the tab key two times leads to a                                                                     
segfault if no completion is possible. e.g. there is no rpcclient command                                                                     
starting with the letter b, so typing b and tab leads to the following                                                                        
error message:                                                                                                                                

pcclient $> *** glibc detected *** rpcclient: free(): invalid pointer: 0xb80a3e30 ***                                                        
======= Backtrace: =========                                                                                                                  
/lib/i686/cmov/libc.so.6(+0x6b281)[0xb77a7281]                                                                                                
/lib/i686/cmov/libc.so.6(+0x6cad8)[0xb77a8ad8]
Comment 1 Volker Lendecke 2010-09-18 09:52:18 UTC
Created attachment 5968 [details]
Patch for 3.5

This fixes it for me.

Volker
Comment 2 Jeremy Allison 2010-09-26 20:17:16 UTC
Comment on attachment 5968 [details]
Patch for 3.5

Looks good to me. Quick simple fix :-).

Jeremy.
Comment 3 Jeremy Allison 2010-09-26 20:18:07 UTC
Re-assigning to Karolin for inclusion in 3.5.next.
Jeremy.
Comment 4 Karolin Seeger 2010-09-27 14:20:35 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!